/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.geoviewer.jxmap.style;

import java.awt.Color;
import java.awt.Image;
import javax.swing.ImageIcon;

/**
 *
 * @author Maarten Hollenga
 */
public class StyleObject {

    protected ImageIcon icon;
    protected Color color;

    /**
     * Gets the color of the StyleObject.
     * 
     * @return Color
     */
    public Color getColor() {
        return color;
    }

    /**
     * Sets the color of the StyleObject.
     * 
     * @param color The new color for the StyleObject
     */
    public void setColor(Color color) {
        this.color = color;
    }

    /**
     * Gets the icon of the StyleObject.
     * 
     * @return Icon as an Image
     */
    public Image getIcon() {
        return icon.getImage();
    }

    /**
     * Sets the icon of the StyleObject.
     * 
     * @param icon
     */
    public void setIcon(ImageIcon icon) {
        this.icon = icon;
    }
}