/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.geoviewer.layers;

import nl.cloudfarming.client.geoviewer.Category;
import nl.cloudfarming.client.geoviewer.MapController;
import org.openide.nodes.Children;
import org.openide.nodes.Node;

/**
 * Used to initialize the children of a category and create nodes for it.
 * 
 * @author Timon Veenstra
 */
public class CategoryChildren extends Children.Keys<Category> {


    public CategoryChildren() {
    }


    /**
     * Called when children are first asked for nodes.
     */
    @Override
    @SuppressWarnings("unchecked")
    protected void addNotify() {
        super.addNotify();
        setKeys(Category.values());
    }

    /**
     * Create nodes for a given key (category).
     * 
     * @param key Key of category
     * @return
     */
    @Override
    protected Node[] createNodes(Category key) {
        return new Node[]{new CategoryNode(key)};
    }
}
